// Oleg Petruny proprietary.

#pragma once

#include "Minigame/Minigame.h"

#include "RythmClickManager.generated.h"

UCLASS(Blueprintable, BlueprintType, MinimalAPI)
class ARythmClickManager : public AMinigame
{
    GENERATED_BODY()

public:
    ARythmClickManager();

    virtual void Start(class APlayerBase* playerPawn, FMinigameEndCallback delegate) override;
    virtual void End() override;
};
